%global drupaldir %{_datadir}/drupal7
%global alphabeta rc
%global prerelease 1

Name:    drupal7-strongarm
Version: 2.0
Release: 0.4.%{alphabeta}%{prerelease}%{?dist}
Summary: Strongarm gives a way to override the default variable values

Group: Applications/Publishing
License: GPLv2+
URL:     http://drupal.org/project/strongarm
Source0: http://ftp.drupal.org/files/projects/strongarm-7.x-%{version}-%{alphabeta}%{prerelease}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal7
Requires:  drupal7-ctools >= 1.0-0.1.alpha4

%description
Strongarm gives site builders a way to override the default variable values
that Drupal core and contributed modules ship with. It is not an end user tool,
but a developer and site builder tool which provides an API and a limited UI.

%prep

%setup -qn strongarm

install -p -m 0644 %{SOURCE1} .
install -p -m 0644 %{SOURCE2} .

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupaldir}/modules/strongarm
cp -pr * %{buildroot}%{drupaldir}/modules/strongarm

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.txt %{name}-fedora-README.txt
%{drupaldir}/modules/strongarm
%exclude %{drupaldir}/modules/strongarm/*.txt

%changelog
* Wed Mar 28 2012 Peter Borsa <peter.borsa@gmail.com> - 2.0-0.4.rc1
- New upstream version.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-0.3.beta5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Dec 29 2011 Peter Borsa <peter.borsa@gmail.com> - 2.0-0.2.beta5
- New upstream version.

* Fri Sep 23 2011 Peter Borsa <peter.borsa@gmail.com> - 2.0-0.1.beta3
- Initial packaging

